{ Invokable implementation File for TWin32Greeting which implements IWin32Greeting }

unit Win32GreetingImpl;

interface

uses InvokeRegistry, Types, XSBuiltIns, Win32GreetingIntf;

type

  { TWin32Greeting }
  TWin32Greeting = class(TInvokableClass, IWin32Greeting)
  public
    function echoGreeting(const strGreeting: String): String; stdcall;
  end;

implementation

{ TWin32Greeting }

function TWin32Greeting.echoGreeting(const strGreeting: String): String;
begin
  Result := 'Hello, ' + strGreeting;
end;

initialization
  { Invokable classes must be registered }
  InvRegistry.RegisterInvokableClass(TWin32Greeting);

end.
